%define packname Hmisc

Name: R-%{packname}
Version: 3.14.4
Release: 0.rhel6.lc
Summary: Library of functions for data analysis, variable clustering and various utilities 

Group: Applications/Engineering
License: GPLv2+
URL: http://cran.r-project.org/web/packages/Hmisc/index.html
Source0: http://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(post):   R R-Formula R-latticeExtra
Requires(postun): R

%description
R package:
The Hmisc library contains many functions useful for data analysis, high-level graphics, utility operations, 
functions for computing sample size and power, importing datasets, imputing missing values, advanced table making, 
variable clustering, character string manipulation, conversion of S objects to LaTeX code, and recoding variables.

%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/R/library
%{_bindir}/R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_libdir}/R/library/R.css

%check
# We have to use --no-install because we don't have all of the suggested
# dependencies
%{_bindir}/R CMD check --no-install %{packname}

%clean
rm -rf %{buildroot}

%post
%{_R_make_search_index}

%postun
%{_R_make_search_index}

%files
%defattr(-,root,root,-)
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/todo
%doc %{_libdir}/R/library/%{packname}/CHANGELOG
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%doc %{_libdir}/R/library/%{packname}/NEWS
%doc %{_libdir}/R/library/%{packname}/THANKS
%doc %{_libdir}/R/library/%{packname}/WISHLIST
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/libs
%{_libdir}/R/library/%{packname}/help

%changelog
* Sun Jul 13 2014 Stuart Raeburn <raeburn@loncapa.org>
- Update to 3.14.4

* Wed Dec 24 2009 Stuart Raeburn <raeburn@loncapa.org> 
- Initial build 

